Skip to main content
GET
Retrieve permissions

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectTypeId
string
required

The unique identifier of the object type for which the pipeline stage edit permissions are being retrieved.

pipelineId
string
required

The unique identifier of the pipeline whose stage edit permissions are being retrieved.

Response

successful operation

createdAt
string<date-time>
required

The date and time when these permissions were created, in ISO 8601 format.

id
string
required

The unique identifier for this set of pipeline stage permissions.

objectTypeId
string
required

The identifier for the type of object associated with these permissions.

pipelineId
string
required

The unique identifier for the pipeline to which these stage permissions apply.

stages
object[]
required

An array of stage permissions, each defining access rules for a specific stage within the pipeline.

updatedAt
string<date-time>
required

The date and time when these permissions were last updated, in ISO 8601 format.

Last modified on August 3, 2026